-----

Documentation: [html](https://docs.ethers.io/)

-----

Utilities
=========

* [Application Binary Interface](abi)
  * [AbiCoder](abi/coder)
    * [Creating Instance](abi/coder)
    * [Coding Methods](abi/coder)
  * [ABI Formats](abi/formats)
    * [Human-Readable ABI](abi/formats)
    * [Solidity JSON ABI](abi/formats)
  * [Fragments](abi/fragments)
    * [Formats](abi/fragments)
    * [Fragment](abi/fragments)
    * [ConstructorFragment](abi/fragments)
    * [EventFragment](abi/fragments)
    * [FunctionFragment](abi/fragments)
    * [ParamType](abi/fragments)
  * [Interface](abi/interface)
    * [Creating Instances](abi/interface)
    * [Properties](abi/interface)
    * [Formatting](abi/interface)
    * [Fragment Access](abi/interface)
    * [Signature and Topic Hashes](abi/interface)
    * [Encoding Data](abi/interface)
    * [Decoding Data](abi/interface)
    * [Parsing](abi/interface)
    * [Types](abi/interface)
    * [Specifying Fragments](abi/interface)
* [Addresses](address)
  * [Address Formats](address)
  * [Converting and Verifying](address)
  * [Derivation](address)
  * [Contracts Addresses](address)
* [BigNumber](bignumber)
  * [Types](bignumber)
  * [Creating Instances](bignumber)
  * [Methods](bignumber)
  * [Notes](bignumber)
* [Byte Manipulation](bytes)
  * [Types](bytes)
  * [Inspection](bytes)
  * [Converting between Arrays and Hexstrings](bytes)
  * [Array Manipulation](bytes)
  * [Hexstring Manipulation](bytes)
  * [Signature Conversion](bytes)
  * [Random Bytes](bytes)
* [Constants](constants)
  * [Bytes](constants)
  * [Strings](constants)
  * [BigNumber](constants)
* [Display Logic and Input](display-logic)
  * [Units](display-logic)
  * [Functions](display-logic)
* [Encoding Utilities](encoding)
  * [Base58](encoding)
  * [Base64](encoding)
  * [Recursive-Length Prefix](encoding)
* [FixedNumber](fixednumber)
  * [Creating Instances](fixednumber)
  * [Properties](fixednumber)
  * [Methods](fixednumber)
  * [FixedFormat](fixednumber)
* [Hashing Algorithms](hashing)
  * [Cryptographic Hash Functions](hashing)
  * [HMAC](hashing)
  * [Hashing Helpers](hashing)
  * [Solidity Hashing Algorithms](hashing)
* [HD Wallet](hdnode)
  * [Types](hdnode)
  * [HDNode](hdnode)
  * [Other Functions](hdnode)
* [Logging](logger)
  * [Logger](logger)
  * [Errors](logger)
  * [Log Levels](logger)
* [Property Utilities](properties)
* [Signing Key](signing-key)
  * [Other Functions](signing-key)
* [Strings](strings)
  * [Bytes32String](strings)
  * [UTF-8 Strings](strings)
  * [UnicodeNormalizationForm](strings)
  * [Custom UTF-8 Error Handling](strings)
* [Transactions](transactions)
  * [Types](transactions)
  * [Functions](transactions)
* [Web Utilities](web)
* [Wordlists](wordlists)
  * [Wordlist](wordlists)
  * [Languages](wordlists)

